commit 880d7064092f79f599845428242fdfd8cd142049
Merge: d2a7a5b 9472c25
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Jul 19 11:23:10 2010 -0700

    Merge branch 'master' of github.com:Shadowed/ActionBarSaver
    
    Conflicts:
    	ActionBarSaver.lua

commit d2a7a5b95886235e72e3058d8ae17b7370ba1283
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Jul 19 11:16:39 2010 -0700

    Added "ActionBarSaver" global so other addons can access ABS functions
    Added Totem multi-bar saving support

commit 9472c25b32e4dde87a182cb47ccfbf71a3d390bb
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Feb 15 11:49:45 2010 -0800

    Disabled sound when restoring profiles

commit bc6f30931c72c4f100e351c7d00c2ebbf03b9fcb
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Dec 10 15:29:57 2009 -0800

    Updated to support saving/restoring of equipment set buttons

commit 11987b974a05a440f18c0ad09b91a4ad033d5f58
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Dec 10 14:59:02 2009 -0800

    Moved over to using the new addon namespaces provided in 3.3

commit 0572ba40e0d907ec9343b884d8ec3b3d75f3e610
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Dec 10 14:58:50 2009 -0800

    TOC Bump

commit cca3413f74139480f745858b67ffcd6adc805064
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Wed Sep 23 18:53:33 2009 -0700

    - Fixed macros that are auto-edited by mods with names not being restored (Now restores by id -> content -> name, if no duplicate names)

commit 82157eedc131a7ba92ae66046183d9197469952b
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Aug 8 21:54:13 2009 -0700

    - Removed some upgrade code, been long enough that it's not needed
    - Fixed an error with AddonLoader

commit 68abf251501be89b0fd25851f971eb5ae36837c2
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Aug 8 21:49:14 2009 -0700

    - TOC Bump

commit 7bd2e1960fc838d69bfdbafd77e1ea0050a963d1
Author: unknown <Shadowed@.(none)>
Date:   Thu May 7 14:17:56 2009 -0700

    * Agh stop complaining

commit 6780f4cbda293e2afd97e4082551a3637055af08
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Apr 5 16:04:50 2009 +0000

    * fixed spellRAnk typo

commit e11c787e1737fe8897f144fe1f4c1a53653ac356
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Apr 4 22:25:04 2009 +0000

    * Whoops, TOC is supposed to be 30100 not 31000

commit 4900543fe69ea1f5305bf96630d7ee65100b3fbc
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Apr 4 06:53:54 2009 +0000

    * Stripped the old Action Bar Saver -> Action Bar Saver 2 conversion code it's been almost a year "should" be fine
    * Stripped all of the companion saving for 3.0, it doesn't work half the time and is ugly anyway
    * Removed localization.deDE.lua and localization.frFR.lua not like I ever use them

commit 8305a763967ffc23ea8d1b83eceafba685d66b98
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Apr 4 06:39:52 2009 +0000

    * Actually stripped Ace3 so SVN would commit

commit 31a4353e8b70ceee252df2061ea5124330ba6cad
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Apr 4 06:39:30 2009 +0000

    * Changed companion saving to use the new Blizzard functions that actually work (And only took like 6 months to work)
    * Cleaned up some code in general to be less ugly and weird in general
    * Updated TOC to 3.1
    * Stripped Ace3, can't remember why I added it in the first place

commit b83262241089b77f090b03cf35e5c49fafe5d717
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Jan 8 22:10:31 2009 +0000

    * Added debug code if the companion scanning fails, hopefully this will let me narrow down whats causing it to happen (HOPEFULLY)

commit 4e8785595c8a46d048c641cd30657402e7338e0c
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Jan 5 04:16:33 2009 +0000

    * Added support for AddonLoader

commit 7f912245bde844014062d8def4e13bdb05f1d45c
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Jan 4 17:10:09 2009 +0000

    * Added an option to restore the actual spell rank saved, instead of defaulting to the highest rank (/abs rank, restores highest rank by default)

commit 1fb1c3900bd8195591d32e5d856e2a42ba547f02
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Nov 23 17:02:46 2008 +0000

    * Added a check to prevent profiles from being restored in combat
    * Since down ranking was removed, we don't really benefit from having lower ranks of spells restored, meaning it will now default to restoring the highest rank, and if that fails it'll restore the rank saved

commit ce1942bff5aa698a08bb70a616a1e746ccbc0c8a
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Oct 30 22:05:14 2008 +0000

    * Fixed an issue with saving profiles as a Paladin or Warlock because Blizzard likes inconsistencies because they're evil bastards
    * Updated libraries
    * Updated TOC
    * Removed build 30000 checks

commit b931f302d5f1e49a88141ee06edd1f6b73a9bbc5
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Sep 21 18:32:22 2008 +0000

    * Fixed one button in the restore failing if you had an action on the cursor when you started a restore
    * Updated AceDB-3.0

commit 2802f0c6263ced6e802ce1f3e6c3e14bf9041991
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Sep 21 18:26:12 2008 +0000

    * Changed the macro check to 36 global/18 character since Blizzard lied apparently
    * Added a work around for companions not returning a valid GetActionInfo
    * Stripped out AceConfig, AceDBOptions, AceEvent, AceGUI, as I can't think of any case I'm going to use these in the future

commit 5567152f180884612839ad6dbf2db7914f92a46f
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Sep 7 20:54:48 2008 +0000

    * Apparently blizzard didn't up the per character macros to 36 yet, so removed that check
    * Fixed /abs macro and /abs count not giving the correct response and always saying disabled

commit 89848bcf6f8e3cb2d2b87595daeffaf2c3cb11ac
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Aug 31 22:09:37 2008 +0000

    * Should mostly work with WoTLK now, just need to add mount/companion parts in
    * Added Bazaar support

commit 435ad15409914c8d2240e3aee4c5df3be301f651
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Aug 3 04:21:56 2008 +0000

    * Fixed macro check, only does it if we find a macro we need to restore
    * Fixed /abs macro not actually working and letting you disable it
    * Added spell linking, this is very basic and for general substitution like if you have a Tauren Druid and a Night Elf Druid, you can set it up so if it can't find War Stomp it uses Shadow Meld in it's place and vica versa.

commit 8e4f75c1c0d30023dda31d6ef8300fa6942cd1ec
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Jul 4 23:57:43 2008 +0000

    * Fixed a bug with the DB upgrade possibly erroring
    * Fixed the class categories not being filled in unless you had upgraded in the first place

commit 7cd378c3f02f0365876dc3434e4411cf75ed0b8a
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Jul 3 23:42:45 2008 +0000

    * Fixed profile list not working correctly due to DB profiles

commit a74eaa85aa623330816564eb28d2a620be2e1f1a
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Wed Jun 25 17:37:47 2008 +0000

    * Fixed spells not being restored if they were the max ranks
    * Fixed /abs delete not deleting unknown profiles
    * Cleaned up the restore code slightly
    * Added /abs rename old new for renaming profiles, also will move them to your current classes category

commit 9201e2c7ea726928bafcf0b4dde20a5cee0a0f81
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Jun 20 23:44:59 2008 +0000

    * Moved ABS to Ace3 to clean up the code a bit more, game restart IS required
    * Slash command is still /abs
    * Added /abs count toggles checking if you have an item in your inventory before restoring, may need this enabled on this like Arena Tournament Realm to prevent disconnecting issues
    * Cleaned up the storage format, we now store profiles per class so you can use names like pve/pvp for different class sets without issues, you can now also only restore sets that were saved on that class
    * Improved the code in general, saving, restoring, adding macros and such are all less ugly and good things like that

commit 431d9020dd396d7c478d496d23493bef7ca75763
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun May 18 00:23:11 2008 +0000

    * Added a quick check to string format for macroID to prevent a nil error
    * Fixed a bug in macro searching, will actually search for macros now if they go missing or the ID changed

commit 46460d59ffd5dc29441fe524ccc5b3ac34aae80a
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Wed Apr 16 18:06:11 2008 +0000

    * Oops, left debug code in. Won't spam spell names anymore.

commit 7f1971058a3c93aa10be239ab4c13100031b6bd0
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Tue Apr 15 20:45:16 2008 +0000

    * Added a quick hack in to prevent things with : in them from causing format issues

commit c9a49c49beb86ffac16ac7033fb2f17a527facd8
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Thu Apr 3 22:58:27 2008 +0000

    * Updated our restore logic, it appears with 2.4 Blizzard changed the way dynamic icon macros are done so it'll specifically say the macro to the last known icon. Because we don't seem to be able to pull out if it's a dynamic icon macro or not, will just stop using it for identification

commit 3717dcaccd541b8d2555a806e8352552267ecb04
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Mon Mar 10 01:55:41 2008 +0000

    * Fixed a bug with attempt to index nil table profileData

commit c0add86e6aec58e4c7a9e7caefc48c4717aeb65a
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Mar 9 06:01:02 2008 +0000

    * New option, /abs macro will toggle auto recreation of saved macros if they aren't found, defaults to off and will first create in per-character slot until it fills up.
    * Mainly this is for developers, or things like transferring your layout/macros to a different character like the tournament realm easier. Requires the save to have been done with a r615 or later of ABS
    * Auto save on logout is now defaulted to off instead of on

commit be8984e822a87b091e4a014c721adc4403ca9fbc
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Mar 9 01:09:03 2008 +0000

    * Switched to localization.*.lua files, GAME RESTART IS REEQUIRED BECAUSE OF THIS
    * Fixed auto save, we now store your current profile per character instead of globally so it won't attempt to auto save a Druids profile on a Rogue (for example)
    * Improved /abs list, will now save the name/realm that a profile was created for and will list it per that group to make it easier. Any profile that hasn't been saved/restored yet will show up as misc.

commit 4957a7b959bb636598486187b22b393ef9992a52
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Mar 8 07:26:49 2008 +0000

    * Lots of improvements in this!
    * Restoring is more verbose, will specifically report what spell/macro/item couldn't be restored and to what slot, if an error occurs it'll say something like "Restored <name>, failed to restore <errors> buttons type /abs errors for more info"
    * Instead of bag scanning, we use PickupItem instead, this also fixes a bug with items that aren't in your bag but are equipped not being restored
    * Full rank is now saved instead of only numeric ones, "just in case".
    * Removed all tooltip scanning, replaced it with GetSpellName calls, this should fix issues with auto save not working
    * We now identify macros using name/icon/macro text, if we find a macro id doesn't match our saved info then will scan all ids until we can find the matching one and then restore that, this fixes issues with deleting macros and causing it to restore profiles incorrectly

commit bd4aea627ec2b59e4e737e59ef0daf933243b178
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Jan 26 03:18:57 2008 +0000

    * Switched to using a spell name/rank -> index cache for restoring so we don't do around 400-600+ tooltip scans per a restore

commit 79ee65e7296a59bdf79025f47c2b0aac27e5cbd5
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Fri Jan 25 09:13:13 2008 +0000

    * All future profile saves will use spell name/rank instead of spell book id this should resolve issues with the restored profile being completely messed up due to respeccing

commit 110b19f5c61c99952bdab72fababfa203976bcad
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sat Jan 19 20:31:23 2008 +0000

    * Added ClearCursor after doing a place action
    * We no longer check and make sure we have to change it, we simply change it anyway
    * Added tonumber to crtID to prevent API issues

commit 1474004a75133085309771df05d1ca67c7dd43ac
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Jan 6 19:04:42 2008 +0000

    * Oops, forgot to exit our item scan loop if we already placed it on the action bar

commit 710cd0706889b63e449ab8cfb7908fecd0fd494b
Author: Shadowed <shadowed.wow@gmail.com>
Date:   Sun Jan 6 07:25:41 2008 +0000

    * Initial commit: ActionBarSaver
    * Saves your current action bars including macros, spells and items for restoring later
    * Supports multiple saved profiles for people with multiple specs and such, /abs for slash commands
